# Based on implementations from the 4M repo: https://github.com/apple/ml-4m/
import torch
from torch.utils.data import Dataset

class EmptyDataset(Dataset):
    """Empty dataset"""

    def __init__(self, dataset_size: int):
        self.dataset_size = dataset_size
        
    def __getitem__(self, index):
        return {}
    
    def __len__(self):
        return self.dataset_size